org.eclnt.jsfserver.elements.componentnodes

## Class ADAPTIVETOOLBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ADAPTIVETOOLBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ADAPTIVETOOLBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ADAPTIVETOOLBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ADAPTIVETOOLBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `ADAPTIVETOOLBARNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindAlign(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindBackground(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindBorder(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindColdistance(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindPadding(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindRounding(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `bindWidth(IDynamicContentBindingObject value)`
    `ADAPTIVETOOLBARNode` | `setActionListener(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setAdapterbinding(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setAlign(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setAttributemacro(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setBackground(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setBgpaint(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setBorder(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setColdistance(int value)`
    `ADAPTIVETOOLBARNode` | `setColdistance(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setComment(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setConfiginfo(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setFlusharea(boolean value)`
    `ADAPTIVETOOLBARNode` | `setFlusharea(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setFxstyleseq(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setHeight(int value)`
    `ADAPTIVETOOLBARNode` | `setHeight(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setHelpid(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setId(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setPadding(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setPopupmenu(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setReference(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setRendered(boolean value)`
    `ADAPTIVETOOLBARNode` | `setRendered(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setRounding(int value)`
    `ADAPTIVETOOLBARNode` | `setRounding(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setRowdistance(int value)`
    `ADAPTIVETOOLBARNode` | `setRowdistance(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setStyleseq(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setStylevariant(java.lang.String value)`
    `ADAPTIVETOOLBARNode` | `setWidth(int value)`
    `ADAPTIVETOOLBARNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ADAPTIVETOOLBARNode

          public ADAPTIVETOOLBARNode()

  - ### Method Detail

    - #### setId

          public ADAPTIVETOOLBARNode setId(java.lang.String value)

    - #### setActionListener

          public ADAPTIVETOOLBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ADAPTIVETOOLBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ADAPTIVETOOLBARNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ADAPTIVETOOLBARNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public ADAPTIVETOOLBARNode setAlign(java.lang.String value)

    - #### bindAlign

          public ADAPTIVETOOLBARNode bindAlign(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ADAPTIVETOOLBARNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ADAPTIVETOOLBARNode setBackground(java.lang.String value)

    - #### bindBackground

          public ADAPTIVETOOLBARNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ADAPTIVETOOLBARNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ADAPTIVETOOLBARNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ADAPTIVETOOLBARNode setBorder(java.lang.String value)

    - #### bindBorder

          public ADAPTIVETOOLBARNode bindBorder(IDynamicContentBindingObject value)

    - #### setColdistance

          public ADAPTIVETOOLBARNode setColdistance(java.lang.String value)

    - #### bindColdistance

          public ADAPTIVETOOLBARNode bindColdistance(IDynamicContentBindingObject value)

    - #### setColdistance

          public ADAPTIVETOOLBARNode setColdistance(int value)

    - #### setComment

          public ADAPTIVETOOLBARNode setComment(java.lang.String value)

    - #### bindComment

          public ADAPTIVETOOLBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ADAPTIVETOOLBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ADAPTIVETOOLBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ADAPTIVETOOLBARNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ADAPTIVETOOLBARNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ADAPTIVETOOLBARNode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ADAPTIVETOOLBARNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ADAPTIVETOOLBARNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ADAPTIVETOOLBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public ADAPTIVETOOLBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ADAPTIVETOOLBARNode setHeight(int value)

    - #### setHelpid

          public ADAPTIVETOOLBARNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ADAPTIVETOOLBARNode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public ADAPTIVETOOLBARNode setPadding(java.lang.String value)

    - #### bindPadding

          public ADAPTIVETOOLBARNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ADAPTIVETOOLBARNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ADAPTIVETOOLBARNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ADAPTIVETOOLBARNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ADAPTIVETOOLBARNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ADAPTIVETOOLBARNode setReference(java.lang.String value)

    - #### setRendered

          public ADAPTIVETOOLBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public ADAPTIVETOOLBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ADAPTIVETOOLBARNode setRendered(boolean value)

    - #### setRounding

          public ADAPTIVETOOLBARNode setRounding(java.lang.String value)

    - #### bindRounding

          public ADAPTIVETOOLBARNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ADAPTIVETOOLBARNode setRounding(int value)

    - #### setRowdistance

          public ADAPTIVETOOLBARNode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ADAPTIVETOOLBARNode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ADAPTIVETOOLBARNode setRowdistance(int value)

    - #### setStyleseq

          public ADAPTIVETOOLBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ADAPTIVETOOLBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ADAPTIVETOOLBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ADAPTIVETOOLBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public ADAPTIVETOOLBARNode setWidth(java.lang.String value)

    - #### bindWidth

          public ADAPTIVETOOLBARNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ADAPTIVETOOLBARNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.